# Date Field API

| **Date field**                                                                                                                                            |
| --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *\<field type=”datetime” name=”string” placeholder=”string” roleId=”id” optional=”boolean” time=”boolean” search=”boolean” min=”integer” max=”integer”/>* |

#### Date Field attributes

* **type** — define if this field is datetime type, mandatory attribute.
* **name** — string, length from 1 up to 128 symbols, restricted symbols &, “, <, >, field name used to fill in on envelope, unique for document, mandatory attribute.
* **placeholder** — field placeholder displayable on template and envelope, length from 0 up to 1024 symbols, if empty on envelope will be displayed field name, optional attribute.
* **roleId** — id of the role who should fill field on envelope, mandatory attribute.
* **optional** — boolean, defines if field to be filled in optionally or not on envelope, if not set default value false, optional attribute.
* **time** — boolean, defines if time value would be acceptable on envelope, optional attribute.
* **search** — boolean, defines if field is searchable on envelope search or not, if not set default value false, optional attribute.
* **min** — integer, allowed values range from -9999 to 9999, define minimal offset of date which can be selected on envelope (from envelope initiation date), default value empty, optional attribute.
* **max** — integer, allowed values range from -9999 to 9999, define maximal offset of date which can be selected on envelope (from envelope initiation date), default value empty, optional attribute.

**format**: IS8601, accept both:

* 2019-12-31T23:59:59+02:00
* 2019-12-31T23:59:59Z


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/template-api/template-dynamic-fields-api/date-field-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
